[Rubygems-developers] [CruiseControl] RubyGemsGitHub build fb10fc1 failed

devnull+rubygems-ci at pivotallabs.com devnull+rubygems-ci at pivotallabs.com
Fri Nov 12 19:51:55 EST 2010


The build failed.

CHANGES
-------
Revision ...fb10fc102b9ef118e39255203c07a8c39ba462f3 committed by raggi <jftucker at gmail.com> on 2010-11-12 22:55:19

    Cleanup the datadir warning and attempt to protect against excess warnings, doesn't feel great

 lib/rbconfig/datadir.rb |   10 +++++++---
 lib/rubygems.rb         |   15 +++++----------
 2 files changed, 12 insertions(+), 13 deletions(-)
Revision ...daf8a7b7edad54316329224f99f2879606f98f92 committed by raggi <jftucker at gmail.com> on 2010-11-11 15:17:02

    Revert "Temporarily disable rubygems plugins autoloading, in order to reduce load times, look at source_index / cache file optimisation instead." - for merge wiht evans branch
    This reverts commit 44a19f51ade78addc6deee1083e981ba391f7102.

 lib/rubygems.rb |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)
Revision ...efd5cc7de7f8feafc0cf427f548e227c829d4aae committed by raggi <jftucker at gmail.com> on 2010-11-11 15:16:28

    Revert "Implement rubygems/fast which skips plugin loads, plugins can be loaded by requiring rubygems/plugins" - cleanup pre merge with evans branch
    This reverts commit 3720575bd1d6655d6825af7dea121bf4f22c5fa0.

 lib/rubygems.rb         |    7 ++-----
 lib/rubygems/fast.rb    |    5 -----
 lib/rubygems/plugins.rb |    5 -----
 3 files changed, 2 insertions(+), 15 deletions(-)
Revision ...90bc7a39bc4f09dfc93c2531a11a51782d49d9d2 committed by raggi <jftucker at gmail.com> on 2010-11-11 15:15:59

    Revert "Deprecate rubygems/fast.rb" - prep for merge with evans branch
    This reverts commit 93ac03aaaf5f65d7988fd0c5041840dee0982a95.

 lib/rubygems.rb                 |    7 +++++++
 lib/rubygems/command_manager.rb |    2 --
 lib/rubygems/fast.rb            |    5 +++++
 3 files changed, 12 insertions(+), 2 deletions(-)
Revision ...6398437d74e7895a275c689e7e28f63eee8db154 committed by raggi <jftucker at gmail.com> on 2010-07-06 17:56:28

    Deprecation notices for rbconfig stuff, because we're lazy loading it now, it needs to go soon.

 lib/rbconfig/datadir.rb |   17 +++--------------
 lib/rubygems.rb         |    3 +++
 2 files changed, 6 insertions(+), 14 deletions(-)
Revision ...50cdfdb1cee4a097d839aee2e46f8d45be259f98 committed by raggi <jftucker at gmail.com> on 2010-07-06 17:35:01

    Deprecate rubygems/fast.rb
    rubygems.rb no longer loads plugins immediately.
    Gem::CommandManager loads plugins.

 lib/rubygems.rb                 |    7 -------
 lib/rubygems/command_manager.rb |    2 ++
 lib/rubygems/fast.rb            |    5 -----
 3 files changed, 2 insertions(+), 12 deletions(-)
Revision ...06f107f89c11f30f353c08bb08aa667d2ed9d429 committed by raggi <jftucker at gmail.com> on 2010-07-06 10:36:02

    Forgot one!

 lib/rubygems/validator.rb |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)
Revision ...deefc81dda8f29e75f8bcf6f75eddfc484a8867b committed by raggi <jftucker at gmail.com> on 2010-07-05 22:35:13

    lazy, lazy, loads. Cut 8 files out of the normally loaded list (with plugins)

 lib/rubygems/command_manager.rb                |    2 +-
 lib/rubygems/commands/mirror_command.rb        |    8 ++++----
 lib/rubygems/commands/pristine_command.rb      |    1 -
 lib/rubygems/commands/setup_command.rb         |    6 +++---
 lib/rubygems/commands/sources_command.rb       |    3 ++-
 lib/rubygems/commands/specification_command.rb |    3 ++-
 lib/rubygems/commands/unpack_command.rb        |    3 ++-
 lib/rubygems/doc_manager.rb                    |    2 +-
 lib/rubygems/format.rb                         |    2 --
 lib/rubygems/gemcutter_utilities.rb            |    2 +-
 lib/rubygems/indexer.rb                        |    8 ++++----
 lib/rubygems/installer.rb                      |    5 ++---
 lib/rubygems/old_format.rb                     |    6 +++---
 lib/rubygems/package.rb                        |    7 +------
 lib/rubygems/remote_fetcher.rb                 |   10 +++++-----
 lib/rubygems/source_info_cache.rb              |    3 +--
 lib/rubygems/spec_fetcher.rb                   |    5 ++---
 17 files changed, 34 insertions(+), 42 deletions(-)
Revision ...5679f59a50d34cbe1cbb7b6198b1a9b00d6aaefd committed by raggi <jftucker at gmail.com> on 2010-07-05 02:49:30

    Move to autoload where applicable

 lib/rubygems.rb              |   17 ++++++++++-------
 lib/rubygems/source_index.rb |    6 ------
 lib/rubygems/version.rb      |    2 ++
 3 files changed, 12 insertions(+), 13 deletions(-)
Revision ...40af521e0f0d47d11a8419a07783a75cb6c8625d committed by raggi <jftucker at gmail.com> on 2010-07-05 02:38:32

    Implement rubygems/fast which skips plugin loads, plugins can be loaded by requiring rubygems/plugins

 lib/rubygems.rb         |    7 +++++--
 lib/rubygems/fast.rb    |    5 +++++
 lib/rubygems/plugins.rb |    5 +++++
 3 files changed, 15 insertions(+), 2 deletions(-)
Revision ...29a10eed18de8fb4ced534bd1fc70be4de6820f6 committed by raggi <jftucker at gmail.com> on 2010-07-05 02:27:11

    Temporarily disable rubygems plugins autoloading, in order to reduce load times, look at source_index / cache file optimisation instead.

 lib/rubygems.rb |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)
Revision ...0dc500abc2509826ed3f0666acece0f95e45bad4 committed by raggi <jftucker at gmail.com> on 2010-07-05 02:22:17

    Buh bye rbconfig. Only lazy load as required.

 lib/rubygems.rb |   46 ++++++++++++++++++++++------------------------
 1 files changed, 22 insertions(+), 24 deletions(-)
Revision ...88f0bf50f267968e35db2f6db0b24b48042b3e92 committed by raggi <jftucker at gmail.com> on 2010-07-05 02:04:51

    Remove etc.rb dependency, unused.

 lib/rubygems.rb |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)
Revision ...c50989261cbf9ef78070f644a371480abe20e5e2 committed by raggi <jftucker at gmail.com> on 2010-07-05 02:01:04

    We're not thread safe, stop pretending to be, drop thread.so dependency.

 lib/rubygems.rb      |   16 +++-------------
 test/gemutilities.rb |    2 +-
 2 files changed, 4 insertions(+), 14 deletions(-)



TEST FAILURES AND ERRORS
-----------------------
Name: test_gather_dependencies_under(TestGemDependencyInstaller)
Type: Failure
Message: Expected ["b-1.0", "c-1.0", "a-1.0"], not ["b-1.1", "c-1.0", "a-1.0"].

./test/test_gem_dependency_installer.rb:682


Name: test_gather_dependencies_over(TestGemDependencyInstaller)
Type: Failure
Message: Expected ["b-1.0", "c-1.0", "a-1.0"], not ["b-2.0", "c-1.0", "a-1.0"].

./test/test_gem_dependency_installer.rb:656


Name: test_gather_dependencies_divergent(TestGemDependencyInstaller)
Type: Failure
Message: Gem::DependencyError expected but nothing was raised.

./test/test_gem_dependency_installer.rb:704




See http://ci.pivotallabs.com:3333/builds/RubyGemsGitHub/fb10fc102b9ef118e39255203c07a8c39ba462f3 for details.


More information about the Rubygems-developers mailing list